couchdb-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kocol...@apache.org
Subject [couchdb-docker] branch master updated: Use default.d for image-provided config in 2.x (#50)
Date Wed, 24 Jan 2018 19:30:24 GMT
This is an automated email from the ASF dual-hosted git repository.

kocolosk pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/couchdb-docker.git


The following commit(s) were added to refs/heads/master by this push:
     new c1066ad  Use default.d for image-provided config in 2.x (#50)
c1066ad is described below

commit c1066ad76bd4a86998c803c7338e88daecb82d8f
Author: Adam Kocoloski <adam@kocolosk.net>
AuthorDate: Wed Jan 24 13:30:22 2018 -0600

    Use default.d for image-provided config in 2.x (#50)
    
    This change moves the configuration overrides that are built into the
    image into `etc/default.d` instead of `etc/local.d`, which allows
    systems like Kubernetes to come in and own `default.d` as a config
    volume mount point while still allowing for online overrides to take
    highest precedence.
---
 2.1.1/{local.ini => 10-docker-default.ini} | 0
 2.1.1/Dockerfile                           | 4 ++--
 2.1.1/docker-entrypoint.sh                 | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/2.1.1/local.ini b/2.1.1/10-docker-default.ini
similarity index 100%
rename from 2.1.1/local.ini
rename to 2.1.1/10-docker-default.ini
diff --git a/2.1.1/Dockerfile b/2.1.1/Dockerfile
index 9f5f92f..f6b8060 100644
--- a/2.1.1/Dockerfile
+++ b/2.1.1/Dockerfile
@@ -111,13 +111,13 @@ RUN buildDeps=' \
  && chown -R couchdb:couchdb /opt/couchdb
 
 # Add configuration
-COPY local.ini /opt/couchdb/etc/local.d/
+COPY 10-docker-default.ini /opt/couchdb/etc/default.d/
 COPY vm.args /opt/couchdb/etc/
 
 COPY ./docker-entrypoint.sh /
 
 # Setup directories and permissions
-RUN chown -R couchdb:couchdb /opt/couchdb/etc/local.d/ /opt/couchdb/etc/vm.args
+RUN chown -R couchdb:couchdb /opt/couchdb/etc/default.d/ /opt/couchdb/etc/vm.args
 
 WORKDIR /opt/couchdb
 EXPOSE 5984 4369 9100
diff --git a/2.1.1/docker-entrypoint.sh b/2.1.1/docker-entrypoint.sh
index dda823d..e03cd1a 100755
--- a/2.1.1/docker-entrypoint.sh
+++ b/2.1.1/docker-entrypoint.sh
@@ -31,7 +31,7 @@ if [ "$1" = '/opt/couchdb/bin/couchdb' ]; then
 	chmod -R 0770 /opt/couchdb/data
 
 	chmod 664 /opt/couchdb/etc/*.ini
-	chmod 664 /opt/couchdb/etc/local.d/*.ini
+	chmod 664 /opt/couchdb/etc/default.d/*.ini
 	chmod 775 /opt/couchdb/etc/*.d
 
 	if [ ! -z "$NODENAME" ] && ! grep "couchdb@" /opt/couchdb/etc/vm.args; then
@@ -51,7 +51,7 @@ if [ "$1" = '/opt/couchdb/bin/couchdb' ]; then
 	fi
 
 	# if we don't find an [admins] section followed by a non-comment, display a warning
-	if ! grep -Pzoqr '\[admins\]\n[^;]\w+' /opt/couchdb/etc/local.d/*.ini; then
+	if ! grep -Pzoqr '\[admins\]\n[^;]\w+' /opt/couchdb/etc/default.d/*.ini /opt/couchdb/etc/local.d/*.ini;
then
 		# The - option suppresses leading tabs but *not* spaces. :)
 		cat >&2 <<-'EOWARN'
 			****************************************************

-- 
To stop receiving notification emails like this one, please contact
kocolosk@apache.org.

Mime
View raw message